import { App } from 'vue';
export type { ComponentSize, ComponentStatus, SelectOption } from '../xiaoye-primitives/index.js';
export * from './exports.js';
export declare function install(app: App): void;
declare module "vue" {
    interface ComponentCustomProperties {
        $loading?: typeof import("./loading/index.js").XyLoadingService;
        $message?: typeof import("./message/index.js").XyMessage;
        $notify?: typeof import("./notification/index.js").XyNotificationService;
    }
}
declare const _default: {
    install: typeof install;
};
export default _default;
